ADDFTINFO(1)

BEZEICHNUNG
addftinfo - Informationen, die mit Groff verwendet werden sollen, zu Troff-Schriftdateien hinzufügen

ÜBERSICHT
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] Auflösung Einheitsbreite Schrift
addftinfo --help
addftinfo -v
addftinfo --version

BESCHREIBUNG
addftinfo liest eine Troff-Schriftdatei und fügt einige Informationen zur Schriftmetrik hinzu, die vom Groff-System verwendet werden. Die Schriftdatei, zu der die Informationen hinzugefügt wurden, wird in die Standardausgabe geschrieben. Die hinzugefügten Informationen werden anhand einiger parametrischer Informationen zur Schrift und Annahmen zu traditionellen Troff-Zeichennamen geschätzt. Hauptsächlich werden Informationen zu Ober- und Unterlängen von Zeichen hinzugefügt. Die Argumente Auflösung und Einheitsbreite sollten dieselben wie die korrespondierenden Parameter in der DESC-Datei sein; Schrift ist der Name der Datei, welche die Schrift beschreibt; falls Schrift mit I endet, wird davon ausgegangen, dass die Schrift kursiv ist.

OPTIONEN
-v gibt die Versionsnummer aus.

Alle weiteren Optionen ändern einen der Parameter, die zur Ableitung der Höhen und Tiefen verwendet werden. Wie die vorhandenen Größen in der Schriftdatei ist jeder Wert in Zoll/Auflösung für eine Schrift, deren Punktgröße Einheitsbreite ist. Parameter-Option muss eine der folgenden sein:

-x-height
    Die Höhe von Kleinbuchstaben ohne Oberlängen, wie beispielsweise x.

-fig-height
    Die Höhe von Mediäval- und Versalziffern.

-asc-height
    Die Höhe von Zeichen mit Oberlängen, wie beispielsweise b, d oder l.

-body-height
    Die Höhe von Zeichen wie Klammern.

-cap-height
    Die Höhe von Großbuchstaben, wie beispielsweise A.

-comma-depth
    Die Tiefe des Kommas.

-desc-depth
    Die Höhe von Zeichen mit Unterlängen, wie beispielsweise p, q oder y.

-body-depth
    Die Tiefe von Zeichen wie Klammern.

addftinfo versucht nicht, anhand der angegebenen Paramater die nicht angegebenen Parameter zu erraten. Falls ein Parameter nicht gesetzt ist, wird die Vorgabe verwendet. Die Voreinstellungen sind so gewählt, dass sie annehmbare Werte für eine Times-Schrift ergeben.

SIEHE AUCH
groff_font(5), groff(1), groff_char(7)

Sie können eine Handbuchseite name(n) mit
        man n Name
im Textmodus und mit
        groffer n Name
im grafischen Modus (PDF usw.) betrachten.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.